## ccfits 2.6+dfsg

=== CMakeLists.txt ===
PROJECT(CCfits)
CMAKE_MINIMUM_REQUIRED(VERSION 3.1)

set (CMAKE_CXX_STANDARD_REQUIRED on)
set (CMAKE_CXX_STANDARD 11)

# Allow the developer to select whether to build Dynamic or Static libraries
OPTION (BUILD_SHARED_LIBS "Build Shared Libraries" OFF)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}")
set (LIB_DESTINATION "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}")
set (BIN_DESTINATION "${CMAKE_INSTALL_PREFIX}/bin")
set (INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/include/CCfits")

# Define project version
SET(${PROJECT_NAME}_MAJOR_VERSION 2)
SET(${PROJECT_NAME}_MINOR_VERSION 6)
SET(${PROJECT_NAME}_VERSION ${${PROJECT_NAME}_MAJOR_VERSION}.${${PROJECT_NAME}_MINOR_VERSION})
SET(LIB_NAME CCfits)

# Define
IF(MSVC)
    ADD_DEFINITIONS(-D_CRT_SECURE_NO_DEPRECATE)
ENDIF()

#add_subdirectory (src)

find_package(CFITSIO REQUIRED)
INCLUDE_DIRECTORIES(${CFITSIO_INCLUDE_DIR})

SET (LIB_TYPE STATIC)
IF (BUILD_SHARED_LIBS)
  SET (LIB_TYPE SHARED)
ENDIF (BUILD_SHARED_LIBS)

FILE(GLOB H_FILES "*.h")
SET(H_FILES ${H_FILES} CCfits)

SET(SRC_FILES
    AsciiTable.cxx
    BinTable.cxx
    ColumnCreator.cxx
    Column.cxx
    ColumnData.cxx
    ColumnVectorData.cxx
    ExtHDU.cxx
    FITS.cxx
    FitsError.cxx
    FITSUtil.cxx
    GroupTable.cxx
    HDUCreator.cxx
    HDU.cxx
    KeyData.cxx
    KeywordCreator.cxx
    Keyword.cxx
    PHDU.cxx
    Table.cxx
)

ADD_LIBRARY(${LIB_NAME} ${LIB_TYPE} ${H_FILES} ${SRC_FILES})
TARGET_LINK_LIBRARIES(${LIB_NAME} ${CFITSIO_LIBRARY}
)

SET_TARGET_PROPERTIES(${LIB_NAME} PROPERTIES
    VERSION ${${PROJECT_NAME}_VERSION}
)
install(TARGETS ${LIB_NAME} DESTINATION ${LIB_DESTINATION})
install(FILES ${H_FILES} DESTINATION ${INCLUDE_INSTALL_DIR})

ENABLE_TESTING()

SET(TEST_FILES file1.pha)
FILE(COPY ${TEST_FILES} DESTINATION ${CCfits_BINARY_DIR})
ADD_EXECUTABLE(cookbook cookbook.cxx)
INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR} "${CMAKE_SOURCE_DIR}/../")
TARGET_LINK_LIBRARIES(cookbook ${LIB_NAME} ${CFITSIO_LIBRARY})
ADD_TEST(cookbook cookbook)

## ccfits 2.3

=== debian/changelog ===
ccfits (2.3-5) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format.
  * Relibtoolize (closes: bug#649140).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 20 Nov 2011 23:48:37 +0100

ccfits (2.3-4) unstable; urgency=low

  * Build depends on doxygen-latex instead of doxygen (closes: 
    bug#634589). 

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 19 Jul 2011 22:57:20 +0200

ccfits (2.3-3) unstable; urgency=low

  * Bumped Standards-Version to 3.9.2 (no changes).
  * Convert to multiarch:
    - Bump debhelper build-dep to >= 8.1.3 for multiarch.
    - Add Pre-Depends: ${misc:Pre-Depends} to libccfits0 and set it 
      Multi-Arch: same.
    - Install the library in the multiarch path.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 15 Jun 2011 22:09:40 +0200

ccfits (2.3-2) unstable; urgency=low

  * Upload to unstable. 

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 06 Feb 2011 12:05:16 +0100

ccfits (2.3-1) experimental; urgency=low

  * New upstream version.
  * Upload to experimental.
  * Update Standards-Version to 3.9.1:
    - drop .la file.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 28 Dec 2010 17:11:17 +0100

ccfits (2.2-2) unstable; urgency=low

  * Build-depends on texlive-font-utils to get epstopdf (closes: bug#562314).

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 24 Dec 2009 15:25:49 +0100

ccfits (2.2-1) unstable; urgency=low

  * New upstream version. 

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 17 Nov 2009 07:57:46 +0000

ccfits (2.1-2) unstable; urgency=low

  * Build-depends on autotools-dev and update config.guess/sub before
    running configure (closes: bug#544585).
  * Update Standards-Version to 3.8.3 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 02 Sep 2009 18:12:17 +0000

ccfits (2.1-1) unstable; urgency=low

  * New upstream version. 

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 14 Dec 2008 23:39:29 +0100

ccfits (2.0-1) unstable; urgency=low

  * New upstream version. 

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 17 Apr 2008 08:45:47 +0200

ccfits (1.8-3) unstable; urgency=low

  * Add missing #includes to fix FTBFS with gcc-4.3 (closes: bug#462115).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 23 Jan 2008 09:05:13 +0100

ccfits (1.8-2) unstable; urgency=low

  * Don't call build-indep in build: target. 

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 07 Jan 2008 03:51:47 +0100

ccfits (1.8-1) unstable; urgency=low

  * Initial Release (closes: bug#458767).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 02 Jan 2008 19:14:42 +0100

=== debian/control ===
Source: ccfits
Section: libs
Priority: optional
Maintainer: Aurelien Jarno <aurel32@debian.org>
Build-Depends: debhelper (>= 8.1.3), libcfitsio3-dev (>= 3.08), autotools-dev, chrpath
Build-Depends-Indep: doxygen-latex, ghostscript, texlive, texlive-extra-utils, texlive-font-utils
Standards-Version: 3.9.2
Homepage: http://heasarc.gsfc.nasa.gov/fitsio/CCfits/

Package: libccfits0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: shared library for I/O with FITS format data files 
 CCfits is an object oriented interface to the cfitsio library. It is 
 designed to make the capabilities of cfitsio available to  programmers
 working in C++. It is written in ANSI C++ and implemented using the 
 C++ Standard Library with namespaces, exception handling, and member 
 template functions. 
 .
 This package contains what you need to run programs that use this
 library.

Package: libccfits-dev
Section: libdevel
Architecture: any
Depends: libccfits0 (= ${binary:Version}), libcfitsio3-dev (>= 3.02), ${misc:Depends}
Description: static library for I/O with FITS format data files
 CCfits is an object oriented interface to the cfitsio library. It is 
 designed to make the capabilities of cfitsio available to  programmers
 working in C++. It is written in ANSI C++ and implemented using the 
 C++ Standard Library with namespaces, exception handling, and member 
 template functions. 
 .
 This package contains what you need for compiling sources that
 use this library in your own code.

Package: libccfits-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: documentation for CCfits
 CCfits is an object oriented interface to the cfitsio library. It is 
 designed to make the capabilities of cfitsio available to  programmers
 working in C++. It is written in ANSI C++ and implemented using the 
 C++ Standard Library with namespaces, exception handling, and member 
 template functions. 
 .
 This package contains the CCFits reference manual in html and PDF 
 format.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
#
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_MULTIARCH	?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

CFLAGS = -Wall -g
CFLAGS += $(shell dpkg-buildflags --get CFLAGS)

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

clean:
	dh_testdir
	dh_testroot
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f config/config.guess config/config.sub
	rm -rf html latex
	rm -f *-stamp
	dh_clean

configure: configure-stamp
configure-stamp:
	dh_testdir
	cp /usr/share/misc/config.guess $(CURDIR)/config/config.guess
	cp /usr/share/misc/config.sub $(CURDIR)/config/config.sub
	CFLAGS="$(CFLAGS)" ./configure \
		--host=$(DEB_HOST_GNU_TYPE) \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/usr \
		--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
		--enable-static \
		--enable-shared \
		--with-cfitsio-include=/usr/include \
		--with-cfitsio-libdir=/usr/lib
	touch $@

build: build-arch

build-arch: build-arch-stamp
build-arch-stamp: configure-stamp
	dh_testdir
	$(MAKE) all
	touch $@

build-indep: build-indep-stamp
build-indep-stamp: configure-stamp
	dh_testdir
	$(MAKE) docs
	$(MAKE) -C latex
	touch $@

install: build-arch
	dh_testdir
	dh_testroot
	dh_clean -k -s
	dh_installdirs -s

	# Main install
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

	# remove rpath from the binaries
	chrpath -d $(CURDIR)/debian/tmp/usr/lib/*/libCCfits.so.*

	# Move all files in their corresponding package
	dh_install --list-missing --sourcedir=debian/tmp

# Build architecture-independent files here.
binary-indep: build-indep
	dh_testdir
	dh_testroot
	dh_installchangelogs -i CHANGES
	dh_installdocs -i
#	dh_installexamples
#	dh_installinfo
	dh_installman -i
	dh_link -i
	dh_strip -i
	dh_compress -i
	dh_fixperms -i
#	dh_perl
#	dh_python
	dh_makeshlibs -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build-arch install
	dh_testdir
	dh_testroot
	dh_installchangelogs -a CHANGES
	dh_installdocs -a
#	dh_installexamples
#	dh_installinfo
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
#	dh_perl
#	dh_python
	dh_makeshlibs -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install configure

## ccfits 2.4

=== debian/changelog ===
ccfits (2.4-2) unstable; urgency=medium

  * Bump Standards-Version to 3.9.5 (no changes).
  * Switch to dh.
  * Pass --with autoreconf to dh (closes: #736386).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 28 Apr 2014 22:15:37 +0200

ccfits (2.4-1) unstable; urgency=low

  * New upstream version. 
  * Bumped Standards-Version to 3.9.3 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 03 Apr 2012 22:47:01 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: libs
 Priority: optional
 Maintainer: Aurelien Jarno <aurel32@debian.org>
-Build-Depends: debhelper (>= 8.1.3), libcfitsio3-dev (>= 3.08), autotools-dev, chrpath
-Build-Depends-Indep: doxygen-latex, ghostscript, texlive, texlive-extra-utils, texlive-font-utils
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), dh-autoreconf, chrpath, libcfitsio3-dev (>= 3.08)
+Build-Depends-Indep: doxygen-latex
+Standards-Version: 3.9.5
 Homepage: http://heasarc.gsfc.nasa.gov/fitsio/CCfits/
 
 Package: libccfits0

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --enable-static --enable-shared \
		             --with-cfitsio-include=/usr/include \
			     --with-cfitsio-libdir=/usr/lib

override_dh_auto_build-indep:			     
	$(MAKE) docs
	$(MAKE) -C latex

override_dh_install:
	chrpath -d $(CURDIR)/debian/tmp/usr/lib/*/libCCfits.so.*
	dh_install

## ccfits 2.4%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,19 @@
 Section: libs
 Priority: optional
 Maintainer: Aurelien Jarno <aurel32@debian.org>
-Build-Depends: debhelper (>= 9), dh-autoreconf, chrpath, libcfitsio3-dev (>= 3.08)
+Build-Depends: debhelper (>= 9), dh-autoreconf, chrpath, libcfitsio-dev, g++ (>= 4:5.2)
 Build-Depends-Indep: doxygen-latex
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://heasarc.gsfc.nasa.gov/fitsio/CCfits/
 
-Package: libccfits0
+Package: libccfits0v5
 Section: libs
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Breaks: libccfits0
+Replaces: libccfits0
 Description: shared library for I/O with FITS format data files 
  CCfits is an object oriented interface to the cfitsio library. It is 
  designed to make the capabilities of cfitsio available to  programmers
@@ -26,7 +28,7 @@
 Package: libccfits-dev
 Section: libdevel
 Architecture: any
-Depends: libccfits0 (= ${binary:Version}), libcfitsio3-dev (>= 3.02), ${misc:Depends}
+Depends: libccfits0v5 (= ${binary:Version}), libcfitsio-dev, ${misc:Depends}
 Description: static library for I/O with FITS format data files
  CCfits is an object oriented interface to the cfitsio library. It is 
  designed to make the capabilities of cfitsio available to  programmers

## ccfits 2.4+dfsg

=== debian/changelog ===
ccfits (2.4+dfsg-3ubuntu1) wily; urgency=medium

  * Rename library packages for g++5 ABI transition.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 03 Aug 2015 07:51:30 +0000

ccfits (2.4+dfsg-3) unstable; urgency=medium

  * Repack sources without the documentation to make lintian happy, as
    it is rebuilt anyway during the build process.
  * (Build-)Depends on libcfitsio-dev instead of libcfitsio3-dev.
  
 -- Aurelien Jarno <aurel32@debian.org>  Thu, 11 Sep 2014 23:03:53 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: ccfits
 Section: libs
 Priority: optional
-Maintainer: Aurelien Jarno <aurel32@debian.org>
-Build-Depends: debhelper (>= 9), dh-autoreconf, chrpath, libcfitsio-dev, g++ (>= 4:5.2)
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Aurelien Jarno <aurel32@debian.org>
+Build-Depends: debhelper (>= 9), dh-autoreconf, chrpath, libcfitsio-dev
 Build-Depends-Indep: doxygen-latex
-Standards-Version: 3.9.6
+Standards-Version: 3.9.5
 Homepage: http://heasarc.gsfc.nasa.gov/fitsio/CCfits/
 
 Package: libccfits0v5
@@ -13,7 +14,7 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Breaks: libccfits0
+Conflicts: libccfits0
 Replaces: libccfits0
 Description: shared library for I/O with FITS format data files 
  CCfits is an object oriented interface to the cfitsio library. It is

## ccfits 2.5%2Bdfsg

=== debian/changelog ===
ccfits (2.5+dfsg-1build1) zesty; urgency=medium

  * Rebuild against libcfitsio5

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 28 Nov 2016 13:33:53 +0000

ccfits (2.5+dfsg-1) unstable; urgency=medium

  * New upstream version.
  * Bump Standards-Version to 3.9.8 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 18 Oct 2016 20:49:29 +0200

ccfits (2.4+dfsg-5) unstable; urgency=medium

  * Upload to unstable.
  * Bump Standards-Version to 3.9.6 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 04 Aug 2015 00:18:22 +0200

ccfits (2.4+dfsg-4) experimental; urgency=medium

  * Upload to experimental.
  * Rename libccfits0 into libccfits0v5 for the GCC 5 ABI transition.
  * Force C++ standard to c++11 to prepare for the GCC 6 transition.
  * Build-depends on g++ (>= 4:5.2).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 01 Aug 2015 13:19:48 +0200

## ccfits 2.5+dfsg

=== debian/changelog ===
ccfits (2.5+dfsg-2build1) groovy; urgency=medium

  * No change rebuild against new cfitsio ABI.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 27 Aug 2020 23:44:35 +0100

ccfits (2.5+dfsg-2) unstable; urgency=medium

  * Add debian/patches/03-doxygen-fixes.patch to fix latex build issues with
    recent doxygen versions.  Closes: #943423.
  * Switch to debhelper 12.
  * Set Rules-Requires-Root: no.
  * Mark libccfits-dev as Multi-Arch: same.
  * Mark libccfits-doc as Multi-Arch: foreign.
  * Bump Standards-Version to 4.5.0.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 25 Feb 2020 19:31:57 +0100

=== debian/control ===
Source: ccfits
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Aurelien Jarno <aurel32@debian.org>
Build-Depends: debhelper-compat (= 12), chrpath, libcfitsio-dev, g++ (>= 4:5.2)
Build-Depends-Indep: doxygen-latex
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: http://heasarc.gsfc.nasa.gov/fitsio/CCfits/

Package: libccfits0v5
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libccfits0
Replaces: libccfits0
Description: shared library for I/O with FITS format data files
 CCfits is an object oriented interface to the cfitsio library. It is
 designed to make the capabilities of cfitsio available to  programmers
 working in C++. It is written in ANSI C++ and implemented using the
 C++ Standard Library with namespaces, exception handling, and member
 template functions.
 .
 This package contains what you need to run programs that use this
 library.

Package: libccfits-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libccfits0v5 (= ${binary:Version}), libcfitsio-dev, ${misc:Depends}
Suggests: libccfits-doc
Description: static library for I/O with FITS format data files
 CCfits is an object oriented interface to the cfitsio library. It is
 designed to make the capabilities of cfitsio available to  programmers
 working in C++. It is written in ANSI C++ and implemented using the
 C++ Standard Library with namespaces, exception handling, and member
 template functions.
 .
 This package contains what you need for compiling sources that
 use this library in your own code.

Package: libccfits-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: documentation for CCfits
 CCfits is an object oriented interface to the cfitsio library. It is
 designed to make the capabilities of cfitsio available to  programmers
 working in C++. It is written in ANSI C++ and implemented using the
 C++ Standard Library with namespaces, exception handling, and member
 template functions.
 .
 This package contains the CCFits reference manual in html and PDF
 format.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_CXXFLAGS_MAINT_PREPEND=-std=c++11

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-static --enable-shared \
		             --with-cfitsio-include=/usr/include \
			     --with-cfitsio-libdir=/usr/lib

override_dh_auto_build-indep:
	$(MAKE) docs
	$(MAKE) -C latex

override_dh_install:
	chrpath -d $(CURDIR)/debian/tmp/usr/lib/*/libCCfits.so.*
	dh_install

## ccfits 2.6+dfsg

=== debian/changelog ===
ccfits (2.6+dfsg-1) unstable; urgency=medium

  * New upstream version:
    - Drop debian/patches/03-doxygen-fixes.patch, upstreamed.
  * Switch to debhelper 12.
  * Add a watch file.
  * Bump Standards-Version to 4.6.0 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 27 Aug 2021 21:01:02 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,14 @@
 Source: ccfits
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Aurelien Jarno <aurel32@debian.org>
-Build-Depends: debhelper-compat (= 12), chrpath, libcfitsio-dev, g++ (>= 4:5.2)
+Maintainer: Aurelien Jarno <aurel32@debian.org>
+Build-Depends: debhelper-compat (= 13), chrpath, libcfitsio-dev
 Build-Depends-Indep: doxygen-latex
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: http://heasarc.gsfc.nasa.gov/fitsio/CCfits/
 
 Package: libccfits0v5
-Section: libs
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,4 @@
 #!/usr/bin/make -f
-
-export DEB_CXXFLAGS_MAINT_PREPEND=-std=c++11
 
 %:
 	dh $@
@@ -17,3 +15,4 @@
 override_dh_install:
 	chrpath -d $(CURDIR)/debian/tmp/usr/lib/*/libCCfits.so.*
 	dh_install
+

=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg$// \
     https://heasarc.gsfc.nasa.gov/fitsio/CCfits/ CCfits-(.+)\.tar\.gz

## ccfits 2.7+dfsg

=== CMakeLists.txt ===
PROJECT(CCfits)
CMAKE_MINIMUM_REQUIRED(VERSION 3.8)

# Allow the developer to select whether to build Dynamic or Static libraries
OPTION (BUILD_SHARED_LIBS "Build Shared Libraries" OFF)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}")
set (LIB_DESTINATION "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}")
set (BIN_DESTINATION "${CMAKE_INSTALL_PREFIX}/bin")
set (INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/include/CCfits")

# Define project version
SET(${PROJECT_NAME}_MAJOR_VERSION 2)
SET(${PROJECT_NAME}_MINOR_VERSION 6)
SET(${PROJECT_NAME}_VERSION ${${PROJECT_NAME}_MAJOR_VERSION}.${${PROJECT_NAME}_MINOR_VERSION})

SET(LIB_NAME CCfits)
SET (LIB_TYPE STATIC)
IF (BUILD_SHARED_LIBS)
  SET (LIB_TYPE SHARED)
ENDIF (BUILD_SHARED_LIBS)

#==============================================================================
# Source code:
#==============================================================================

FILE(GLOB H_FILES "*.h")
SET(H_FILES ${H_FILES} CCfits)

SET(SRC_FILES
    AsciiTable.cxx
    BinTable.cxx
    ColumnCreator.cxx
    Column.cxx
    ColumnData.cxx
    ColumnVectorData.cxx
    ExtHDU.cxx
    FITS.cxx
    FitsError.cxx
    FITSUtil.cxx
    GroupTable.cxx
    HDUCreator.cxx
    HDU.cxx
    KeyData.cxx
    KeywordCreator.cxx
    Keyword.cxx
    PHDU.cxx
    Table.cxx
)

#==============================================================================
# Dependencies:
#==============================================================================

# Try to get CFITSIO info (incl. dependencies) using pkg-config:
SET (PKG_CONFIG_USE_CMAKE_PREFIX_PATH "on")
FIND_PACKAGE(PkgConfig)
IF (${PkgConfig_FOUND})
   PKG_CHECK_MODULES(CFITSIO REQUIRED cfitsio)
   IF (CFITSIO_FOUND)
      MESSAGE(STATUS "Found CFITSIO:")
      MESSAGE(STATUS "  CFITSIO_INCLUDE_DIRS = ${CFITSIO_INCLUDE_DIRS}")
      MESSAGE(STATUS "  CFITSIO_LIBRARY_DIRS = ${CFITSIO_LIBRARY_DIRS}")
      MESSAGE(STATUS "  CFITSIO_LIBRARIES = ${CFITSIO_LIBRARIES}")
      INCLUDE_DIRECTORIES(${CFITSIO_INCLUDE_DIRS})
      LINK_DIRECTORIES(${CFITSIO_LIBRARY_DIRS})
   ENDIF (CFITSIO_FOUND)
# If pkg-config not found, try to find CFITSIO; dependencies e.g.
# zlib & curl are really only needed here if CFITSIO is static.
ELSE()
   FIND_PACKAGE(CFITSIO REQUIRED)
   FIND_PACKAGE(ZLIB REQUIRED)
   IF (NOT WIN32)
      FIND_PACKAGE(CURL)
   ENDIF (NOT WIN32)
ENDIF (${PkgConfig_FOUND})

#==============================================================================
# Target:
#==============================================================================

ADD_LIBRARY(${LIB_NAME} ${LIB_TYPE} ${H_FILES} ${SRC_FILES})
TARGET_COMPILE_FEATURES(${LIB_NAME} PRIVATE cxx_std_11)
SET_TARGET_PROPERTIES(${LIB_NAME} PROPERTIES
    VERSION ${${PROJECT_NAME}_VERSION}
)

# Visual Studio:
IF (MSVC)
   ADD_DEFINITIONS(-D_CRT_SECURE_NO_DEPRECATE)
   IF (BUILD_SHARED_LIBS)
      # MSVC shared is broken; better fix would be to "hide all symbols
      # for all compilers", and export public symbols with a macro.
      SET_PROPERTY(TARGET ${LIB_NAME} PROPERTY WINDOWS_EXPORT_ALL_SYMBOLS ON)
   ENDIF (BUILD_SHARED_LIBS)
ENDIF(MSVC)

# Add link dependencies:
IF (${PkgConfig_FOUND})
   # pkg-config supplies the CFITSIO dependencies (zlib, curl)
   IF (CFITSIO_FOUND)
      TARGET_LINK_LIBRARIES(${LIB_NAME} ${CFITSIO_LIBRARIES})
   ENDIF (CFITSIO_FOUND)
ELSE()
   # pkg-config wasn't found, so add everything individually:
   INCLUDE_DIRECTORIES(${CFITSIO_INCLUDE_DIR})
   TARGET_LINK_LIBRARIES(${LIB_NAME} ${CFITSIO_LIBRARY})
   TARGET_LINK_LIBRARIES(${LIB_NAME} ${ZLIB_LIBRARIES})
   IF (CURL_FOUND)
      TARGET_LINK_LIBRARIES(${LIB_NAME} ${CURL_LIBRARIES})
   ENDIF (CURL_FOUND)
ENDIF (${PkgConfig_FOUND})

#==============================================================================
# Install:
#==============================================================================
include(GNUInstallDirs)
install(TARGETS ${LIB_NAME}
        RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
        LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
        ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
)
install(FILES ${H_FILES} DESTINATION ${INCLUDE_INSTALL_DIR})

#==============================================================================
# Tests:
#==============================================================================
IF (TESTS)

    ENABLE_TESTING()

    ADD_EXECUTABLE(cookbook cookbook.cxx)
    INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR} "${CMAKE_SOURCE_DIR}/../")
    TARGET_LINK_LIBRARIES(cookbook ${LIB_NAME} ${CFITSIO_LIBRARIES})
    ADD_TEST(cookbook cookbook)

    SET(TEST_FILES file1.pha)
    FILE(COPY ${TEST_FILES} DESTINATION ${CCfits_BINARY_DIR})
    #FILE(COPY ${CMAKE_SOURCE_DIR}/testprog.tpt DESTINATION ${CMAKE_CURRENT_BINARY_DIR})

ENDIF(TESTS)

=== debian/changelog ===
ccfits (2.7+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Add Vcs-git and Vcs-browser to debian/control
  * Set the "Maintainer" field to Debian Astronomy Maintainers
    <debian-astro-maintainers@lists.alioth.debian.org>, move myself to the
    "Uploaders" field
  * Rewrite debian/copyright in Machine-readable format
  * Update debian/watch
  * Remove breaks/replace against jessie packages
  * Set DEB_BUILD_MAINT_OPTIONS = hardening=+all to make lintian happier.
  * Bump Standards-Version to 4.7.2 (no changes)
  * Drop debian/libccfits0v5.shlibs

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 05 Apr 2025 00:42:01 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: ccfits
 Section: libs
 Priority: optional
-Maintainer: Aurelien Jarno <aurel32@debian.org>
+Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
+Uploaders: Aurelien Jarno <aurel32@debian.org>
 Build-Depends: debhelper-compat (= 13), chrpath, libcfitsio-dev
 Build-Depends-Indep: doxygen-latex
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Homepage: http://heasarc.gsfc.nasa.gov/fitsio/CCfits/
+Vcs-Browser: https://salsa.debian.org/debian-astro-team/ccfits
+Vcs-Git: https://salsa.debian.org/debian-astro-team/ccfits.git
 
 Package: libccfits0v5
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Breaks: libccfits0
-Replaces: libccfits0
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: shared library for I/O with FITS format data files
  CCfits is an object oriented interface to the cfitsio library. It is
  designed to make the capabilities of cfitsio available to  programmers

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,7 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_CFLAGS_MAINT_APPEND = -Wall
 
 %:
 	dh $@
@@ -12,7 +15,5 @@
 	$(MAKE) docs
 	$(MAKE) -C latex
 
-override_dh_install:
+execute_after_dh_auto_install:
 	chrpath -d $(CURDIR)/debian/tmp/usr/lib/*/libCCfits.so.*
-	dh_install
-

=== debian/watch ===
version=4
opts=compression=gzip,dversionmangle=s/\+dfsg$//,repacksuffix=+dfsg \
     https://heasarc.gsfc.nasa.gov/FTP/software/fitsio/ccfits/ CCfits-(.+)\.tar\.gz
